## org.apache.cassandra.thrift
Class Cassandra.add_args

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.add_args

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.add_args>, org.apache.thrift.TBase<Cassandra.add_args,Cassandra.add_args._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.add_args

extends java.lang.Object
implements org.apache.thrift.TBase<Cassandra.add_args,Cassandra.add_args._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` `Cassandra.add_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`CounterColumn` `column`
`ColumnParent` `column_parent`
`ConsistencyLevel` `consistency_level`
`java.nio.ByteBuffer` `key`
`static java.util.Map<Cassandra.add_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

Constructor Summary
`Cassandra.add_args()`
`Cassandra.add_args(java.nio.ByteBuffer key, ColumnParent column_parent, CounterColumn column, ConsistencyLevel consistency_level)`
`Cassandra.add_args(Cassandra.add_args other)` Performs a deep copy on other.

Method Summary
`java.nio.ByteBuffer` `bufferForKey()`
`void` `clear()`
`int` `compareTo(Cassandra.add_args other)`
`Cassandra.add_args` `deepCopy()`
`boolean` `equals(Cassandra.add_args that)`
`boolean` `equals(java.lang.Object that)`
`Cassandra.add_args._Fields` `fieldForId(int fieldId)`
`ColumnParent` `getColumn_parent()`
`CounterColumn` `getColumn()`
`ConsistencyLevel` `getConsistency_level()`
`java.lang.Object` `getFieldValue(Cassandra.add_args._Fields field)`
`byte[]` `getKey()`
`int` `hashCode()`
`boolean` `isSet(Cassandra.add_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn_parent()` Returns true if field column_parent is set (has been assigned a value) and false otherwise
`boolean` `isSetColumn()` Returns true if field column is set (has been assigned a value) and false otherwise
`boolean` `isSetConsistency_level()` Returns true if field consistency_level is set (has been assigned a value) and false otherwise
`boolean` `isSetKey()` Returns true if field key is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`Cassandra.add_args` `setColumn_parent(ColumnParent column_parent)`
`void` `setColumn_parentIsSet(boolean value)`
`Cassandra.add_args` `setColumn(CounterColumn column)`
`void` `setColumnIsSet(boolean value)`
`Cassandra.add_args` `setConsistency_level(ConsistencyLevel consistency_level)`
`void` `setConsistency_levelIsSet(boolean value)`
`void` `setFieldValue(Cassandra.add_args._Fields field, java.lang.Object value)`
`Cassandra.add_args` `setKey(byte[] key)`
`Cassandra.add_args` `setKey(java.nio.ByteBuffer key)`
`void` `setKeyIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetColumn_parent()`
`void` `unsetColumn()`
`void` `unsetConsistency_level()`
`void` `unsetKey()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    public java.nio.ByteBuffer key

### column_parent

    public ColumnParent column_parent

### column

    public CounterColumn column

### consistency_level

    public ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

### metaDataMap

    public static final java.util.Map<Cassandra.add_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### Cassandra.add_args

    public Cassandra.add_args()

### Cassandra.add_args

    public Cassandra.add_args(java.nio.ByteBuffer key,
                              ColumnParent column_parent,
                              CounterColumn column,
                              ConsistencyLevel consistency_level)

### Cassandra.add_args

    public Cassandra.add_args(Cassandra.add_args other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public Cassandra.add_args deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.add_args,Cassandra.add_args._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<Cassandra.add_args,Cassandra.add_args._Fields>`

### getKey

    public byte[] getKey()

### bufferForKey

    public java.nio.ByteBuffer bufferForKey()

### setKey

    public Cassandra.add_args setKey(byte[] key)

### setKey

    public Cassandra.add_args setKey(java.nio.ByteBuffer key)

### unsetKey

    public void unsetKey()

### isSetKey

    public boolean isSetKey()

  Returns true if field key is set (has been assigned a value) and false otherwise

### setKeyIsSet

    public void setKeyIsSet(boolean value)

### getColumn_parent

    public ColumnParent getColumn_parent()

### setColumn_parent

    public Cassandra.add_args setColumn_parent(ColumnParent column_parent)

### unsetColumn_parent

    public void unsetColumn_parent()

### isSetColumn_parent

    public boolean isSetColumn_parent()

  Returns true if field column_parent is set (has been assigned a value) and false otherwise

### setColumn_parentIsSet

    public void setColumn_parentIsSet(boolean value)

### getColumn

    public CounterColumn getColumn()

### setColumn

    public Cassandra.add_args setColumn(CounterColumn column)

### unsetColumn

    public void unsetColumn()

### isSetColumn

    public boolean isSetColumn()

  Returns true if field column is set (has been assigned a value) and false otherwise

### setColumnIsSet

    public void setColumnIsSet(boolean value)

### getConsistency_level

    public ConsistencyLevel getConsistency_level()

  See Also:
    `ConsistencyLevel`

### setConsistency_level

    public Cassandra.add_args setConsistency_level(ConsistencyLevel consistency_level)

  See Also:
    `ConsistencyLevel`

### unsetConsistency_level

    public void unsetConsistency_level()

### isSetConsistency_level

    public boolean isSetConsistency_level()

  Returns true if field consistency_level is set (has been assigned a value) and false otherwise

### setConsistency_levelIsSet

    public void setConsistency_levelIsSet(boolean value)

### setFieldValue

    public void setFieldValue(Cassandra.add_args._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.add_args,Cassandra.add_args._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.add_args._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.add_args,Cassandra.add_args._Fields>`

### isSet

    public boolean isSet(Cassandra.add_args._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.add_args,Cassandra.add_args._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Cassandra.add_args that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Cassandra.add_args other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Cassandra.add_args>`

### fieldForId

    public Cassandra.add_args._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.add_args,Cassandra.add_args._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<Cassandra.add_args,Cassandra.add_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<Cassandra.add_args,Cassandra.add_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Copyright © 2011 The Apache Software Foundation